gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r32730 - gnunet/src/mesh


From: gnunet
Subject: [GNUnet-SVN] r32730 - gnunet/src/mesh
Date: Fri, 21 Mar 2014 19:44:34 +0100

Author: bartpolot
Date: 2014-03-21 19:44:34 +0100 (Fri, 21 Mar 2014)
New Revision: 32730

Added:
   gnunet/src/mesh/profiler.template
   gnunet/src/mesh/run_profiler.sh
Removed:
   gnunet/src/mesh/profiler.conf
Log:
- wrap profiler in script to alter config file

Deleted: gnunet/src/mesh/profiler.conf
===================================================================
--- gnunet/src/mesh/profiler.conf       2014-03-21 18:44:32 UTC (rev 32729)
+++ gnunet/src/mesh/profiler.conf       2014-03-21 18:44:34 UTC (rev 32730)
@@ -1,8 +0,0 @@
address@hidden@ test_mesh.conf
-[testbed]
-OVERLAY_TOPOLOGY = RANDOM
-OVERLAY_RANDOM_LINKS = 200
-
-[transport]
-#MANIPULATE_DELAY_IN = 50 ms
-MANIPULATE_DELAY_OUT = 100 ms
\ No newline at end of file

Copied: gnunet/src/mesh/profiler.template (from rev 32729, 
gnunet/src/mesh/profiler.conf)
===================================================================
--- gnunet/src/mesh/profiler.template                           (rev 0)
+++ gnunet/src/mesh/profiler.template   2014-03-21 18:44:34 UTC (rev 32730)
@@ -0,0 +1,8 @@
address@hidden@ test_mesh.conf
+[testbed]
+OVERLAY_TOPOLOGY = RANDOM
+OVERLAY_RANDOM_LINKS = 200
+
+[transport]
+#MANIPULATE_DELAY_IN = 50 ms
+MANIPULATE_DELAY_OUT = 100 ms
\ No newline at end of file

Added: gnunet/src/mesh/run_profiler.sh
===================================================================
--- gnunet/src/mesh/run_profiler.sh                             (rev 0)
+++ gnunet/src/mesh/run_profiler.sh     2014-03-21 18:44:34 UTC (rev 32730)
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+if [ "$#" -lt "1" ]; then
+    echo "usage: $0 PEERS";
+    exit 1;
+fi
+
+PEERS=$1
+
+if [ $PEERS -eq 1 ]; then
+    echo "cannot run 1 peer";
+    exit 1;
+fi
+
+LINKS=`echo "l($PEERS) * $PEERS" | bc -l`
+LINKS=`printf "%.0f" $LINKS`
+echo "using $PEERS peers, $LINKS links";
+    
+sed -e "s/%LINKS%/$LINKS/g" profiler.template > profiler.conf
+
+./gnunet-mesh-profiler $PEERS


Property changes on: gnunet/src/mesh/run_profiler.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property



reply via email to

[Prev in Thread] Current Thread [Next in Thread]